MeshContourPoints

Returns the vertices of the polyline curves generated by contouring a mesh object.

Syntax

Rhino.MeshContourPoints ( strObject, arrStartPoint, arrEndPoint [, dblInterval ,[ blnRemoveCoincidentPoints]])

Parameters

strObject

Required.  String.  The identifier of a mesh object.

arrStartPoint

Required.  Array.  The 3-D starting point of a center line.

arrEndPoint

Required.  Array.  The 3-D ending point of a center line.

dblInterval

Optional.  Number.  The distance between contour curves.  If omitted, the interval will be equal to the diagonal distance of the object's bounding box divided by 50.

blnRemoveCoincidentPoints

Optional.  Boolean.  Remove coincident points.  If True, and the polyline curves from which the contour point are taken are closed, then duplicate starting and ending points of the polyline curve will not be returned. The default is to return duplicate starting and ending points (False).

Returns

Array

An array of 3-D point arrays, one for each contour, if successful.

Null

If not successful, or on error.

Example

Const rhObjectMesh = 32

Dim strObject, arrStartPoint, arrEndPoint, arrContours, arrPoints

strObject = Rhino.GetObject("Select mesh", rhObjectMesh )

arrStartPoint = Rhino.GetPoint("Base point of center line")

arrEndPoint = Rhino.GetPoint("Endpoint of center line", arrStartPoint)

arrContours = Rhino.MeshContourPoints(strObject, arrStartPoint, arrEndPoint)

If IsArray(arrContours) Then

  For Each arrPoints in arrContours

    Rhino.AddPointCloud arrPoints

  Next

End If

Also See

AddSrfContourCrvs

CurveContourPoints

SurfaceContourPoints